]> git.sur5r.net Git - bacula/bacula/blobdiff - bacula/configure
ebl Make SD plugins working
[bacula/bacula] / bacula / configure
index 525f315987f4e1b7ef89d830b3a2b1354cea8210..75533093b166601cbb25ac3bafd77979d9a2264a 100755 (executable)
@@ -886,6 +886,8 @@ LIBTOOL_INSTALL_TARGET
 LIBTOOL_UNINSTALL_TARGET
 LIBTOOL_CLEAN_TARGET
 QMAKE_LIBTOOL
+INCLUDE_INSTALL_TARGET
+INCLUDE_UNINSTALL_TARGET
 HAVE_SUN_OS_TRUE
 HAVE_SUN_OS_FALSE
 HAVE_OSF1_OS_TRUE
@@ -1633,12 +1635,13 @@ if test -n "$ac_init_help"; then
 Optional Features:
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
+  --enable-libtool        enable building using GNU libtool [default=yes]
   --enable-shared[=PKGS]  build shared libraries [default=yes]
   --enable-static[=PKGS]  build static libraries [default=no]
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
-  --enable-libtool        enable building using GNU libtool [default=yes]
+  --enable-includes       enable installing of include files [default=no]
   --disable-nls           do not use Native Language Support
   --disable-rpath         do not hardcode runtime library paths
   --enable-gnome          enable build of bgnome-console GUI [default=no]
@@ -5321,6 +5324,16 @@ MAKE_SHELL=/bin/sh
 
 
 
+# Check whether --enable-libtool was given.
+if test "${enable_libtool+set}" = set; then
+  enableval=$enable_libtool;
+       if test x$enableval = xno; then
+         use_libtool=no
+       fi
+
+
+fi
+
 case `pwd` in
   *\ * | *\    *)
     { echo "$as_me:$LINENO: WARNING: Libtool does not cope well with whitespace in \`pwd\`" >&5
@@ -5920,13 +5933,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:5923: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:5936: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5926: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:5939: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5929: output\"" >&5)
+  (eval echo "\"\$as_me:5942: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -7147,7 +7160,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7150 "configure"' > conftest.$ac_ext
+  echo '#line 7163 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9362,11 +9375,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9365: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9378: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9369: \$? = $ac_status" >&5
+   echo "$as_me:9382: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9701,11 +9714,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9704: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9717: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9708: \$? = $ac_status" >&5
+   echo "$as_me:9721: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9806,11 +9819,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9809: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9822: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9813: \$? = $ac_status" >&5
+   echo "$as_me:9826: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9861,11 +9874,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9864: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9877: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9868: \$? = $ac_status" >&5
+   echo "$as_me:9881: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12617,7 +12630,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 12620 "configure"
+#line 12633 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12713,7 +12726,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 12716 "configure"
+#line 12729 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14725,11 +14738,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14728: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14741: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14732: \$? = $ac_status" >&5
+   echo "$as_me:14745: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14824,11 +14837,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14827: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14840: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14831: \$? = $ac_status" >&5
+   echo "$as_me:14844: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14876,11 +14889,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14879: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14892: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14883: \$? = $ac_status" >&5
+   echo "$as_me:14896: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15857,16 +15870,6 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
-# Check whether --enable-libtool was given.
-if test "${enable_libtool+set}" = set; then
-  enableval=$enable_libtool;
-       if test x$enableval = xno; then
-          use_libtool=no
-       fi
-
-
-fi
-
 
 if test x$use_libtool != xno; then
    DEFAULT_OBJECT_TYPE=".lo"
 
 
 
+# Check whether --enable-includes was given.
+if test "${enable_includes+set}" = set; then
+  enableval=$enable_includes;
+       if test x$enableval = xyes; then
+         install_includes=yes
+       fi
+
+
+fi
+
+
+
+if test x$use_libtool != xno -a x$install_includes = xyes; then
+   INCLUDE_INSTALL_TARGET="install-includes"
+   INCLUDE_UNINSTALL_TARGET="uninstall-includes"
+else
+   INCLUDE_INSTALL_TARGET=""
+   INCLUDE_UNINSTALL_TARGET=""
+fi
+
+
+
 
 { echo "$as_me:$LINENO: checking host system type" >&5
 echo $ECHO_N "checking host system type... $ECHO_C" >&6; }
@@ -18245,10 +18270,26 @@ if test x${prefix} = xNONE ; then
    if test `eval echo ${sysconfdir}` = NONE/etc ; then
       sysconfdir=/etc/bacula
    fi
+
+   if test `eval echo ${libdir}` = NONE/lib ; then
+      libdir=/usr/lib
+   fi
+
+   if test `eval echo ${includedir}` = NONE/include ; then
+      includedir=/usr/include
+   fi
+
    prefix=
 fi
+
+if test x${exec_prefix} = xNONE ; then
+   exec_prefix=${prefix}
+fi
+
 sysconfdir=`eval echo ${sysconfdir}`
 datarootdir=`eval echo ${datarootdir}`
+libdir=`eval echo ${libdir}`
+includedir=`eval echo ${includedir}`
 localedir=`eval echo ${datarootdir}/locale`
 cat >>confdefs.h <<_ACEOF
 #define SYSCONFDIR "$sysconfdir"
@@ -18259,25 +18300,11 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-if test x${exec_prefix} = xNONE ; then
-   exec_prefix=${prefix}
-fi
-
 if test x$sbindir = x'${exec_prefix}/sbin' ; then
    sbindir=${exec_prefix}/sbin
 fi
 sbindir=`eval echo ${sbindir}`
 
-if test x$libdir = x'${exec_prefix}/lib' ; then
-   libdir=${exec_prefix}/lib
-fi
-libdir=`eval echo ${libdir}`
-
-if test x$includedir = x'${exec_prefix}/include' ; then
-   includedir=${exec_prefix}/include
-fi
-includedir=`eval echo ${includedir}`
-
 if test x$mandir = x'${prefix}/man' ; then
    mandir=/usr/share/man
 fi
@@ -23911,6 +23938,7 @@ support_conio=yes
 support_gnome=no
 support_bat=no
 support_wx_console=no
+support_tray_monitor=no
 support_tls=no
 support_crypto=no
 gnome_version=
@@ -23933,7 +23961,7 @@ DB_TYPE=bdb
 if test "${enable_gnome+set}" = set; then
   enableval=$enable_gnome;
        if test x$enableval = xyes; then
-          support_gnome=yes
+         support_gnome=yes
        fi
 
 
@@ -23972,7 +24000,7 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_BAT 1
 _ACEOF
 
-          support_bat=yes
+         support_bat=yes
        fi
 
 
@@ -24005,19 +24033,19 @@ echo $ECHO_N "checking for qwt support... $ECHO_C" >&6; }
 # Check whether --with-qwt was given.
 if test "${with_qwt+set}" = set; then
   withval=$with_qwt;
-          case "$with_qwt" in
-          no)
-             no_qwt=yes
-             ;;
-          yes|*)
-             if test -f ${with_qwt}/include/qwt.h; then
-                QWT_INC="${with_qwt}/include"
-                QWT_LDFLAGS="-L${with_qwt}/lib"
-                QWT_LIB="-lqwt"
-                QWT="qwt"
-             fi
-             ;;
-          esac
+         case "$with_qwt" in
+         no)
+            no_qwt=yes
+            ;;
+         yes|*)
+            if test -f ${with_qwt}/include/qwt.h; then
+               QWT_INC="${with_qwt}/include"
+               QWT_LDFLAGS="-L${with_qwt}/lib"
+               QWT_LIB="-lqwt"
+               QWT="qwt"
+            fi
+            ;;
+         esac
 
 
 fi
 
             if test $no_qwt = no; then
       if test x$QWT_INC = x; then
-         for root in /usr /usr/local; do
-            for ver in qwt qwt5 qwt-qt4; do
-               if test -f ${root}/include/${ver}/qwt.h; then
-                  QWT_INC="${root}/include/${ver}"
-                  if test -d ${root}/lib64/; then
-                     QWT_LDFLAGS="-L${root}/lib64"
-                  elif test -d ${root}/lib/64/; then
-                     QWT_LDFLAGS="-L${root}/64"
-                  else
-                     QWT_LDFLAGS="-L${root}/lib"
-                  fi
-                  QWT_LIB="-lqwt"
-                  QWT="qwt"
-                  got_qwt=yes
-                  break;
-               fi
-            done
-         done
+        for root in /usr /usr/local; do
+           for ver in qwt qwt5 qwt-qt4; do
+              if test -f ${root}/include/${ver}/qwt.h; then
+                 QWT_INC="${root}/include/${ver}"
+                 if test -d ${root}/lib64/; then
+                    QWT_LDFLAGS="-L${root}/lib64"
+                 elif test -d ${root}/lib/64/; then
+                    QWT_LDFLAGS="-L${root}/64"
+                 else
+                    QWT_LDFLAGS="-L${root}/lib"
+                 fi
+                 QWT_LIB="-lqwt"
+                 QWT="qwt"
+                 got_qwt=yes
+                 break;
+              fi
+           done
+        done
       fi
    fi
    if test x$QWT_INC = x; then
@@ -24069,7 +24097,7 @@ fi
 if test "${enable_bwx_console+set}" = set; then
   enableval=$enable_bwx_console;
        if test x$enableval = xyes; then
-          support_wx_console=yes
+         support_wx_console=yes
        fi
 
 
@@ -24101,7 +24129,7 @@ fi
 if test "${enable_tray_monitor+set}" = set; then
   enableval=$enable_tray_monitor;
        if test x$enableval = xyes; then
-          support_tray_monitor=yes
+         support_tray_monitor=yes
        fi
 
 
@@ -24135,7 +24163,7 @@ fi
 if test "${enable_smartalloc+set}" = set; then
   enableval=$enable_smartalloc;
        if test x$enableval = xno; then
-          support_smartalloc=no
+         support_smartalloc=no
        fi
 
 
@@ -24154,7 +24182,7 @@ fi
 if test "${enable_static_tools+set}" = set; then
   enableval=$enable_static_tools;
        if test x$enableval = xyes; then
-          support_static_tools=yes
+         support_static_tools=yes
        fi
 
 
@@ -24171,7 +24199,7 @@ fi
 if test "${enable_static_fd+set}" = set; then
   enableval=$enable_static_fd;
        if test x$enableval = xyes; then
-          support_static_fd=yes
+         support_static_fd=yes
        fi
 
 
@@ -24188,7 +24216,7 @@ fi
 if test "${enable_static_sd+set}" = set; then
   enableval=$enable_static_sd;
        if test x$enableval = xyes; then
-          support_static_sd=yes
+         support_static_sd=yes
        fi
 
 
@@ -24205,7 +24233,7 @@ fi
 if test "${enable_static_dir+set}" = set; then
   enableval=$enable_static_dir;
        if test x$enableval = xyes; then
-          support_static_dir=yes
+         support_static_dir=yes
        fi
 
 
@@ -24222,7 +24250,7 @@ fi
 if test "${enable_static_cons+set}" = set; then
   enableval=$enable_static_cons;
        if test x$enableval = xyes; then
-          support_static_cons=yes
+         support_static_cons=yes
        fi
 
 
@@ -24245,9 +24273,9 @@ fi
 if test "${enable_client_only+set}" = set; then
   enableval=$enable_client_only;
        if test x$enableval = xyes; then
-          build_client_only=yes
-          db_type=None
-          DB_TYPE=none
+         build_client_only=yes
+         db_type=None
+         DB_TYPE=none
        fi
 
 
@@ -24264,7 +24292,7 @@ fi
 if test "${enable_build_dird+set}" = set; then
   enableval=$enable_build_dird;
        if test x$enableval = xno; then
-          build_dird=no
+         build_dird=no
        fi
 
 
@@ -24284,7 +24312,7 @@ fi
 if test "${enable_build_stored+set}" = set; then
   enableval=$enable_build_stored;
       if test x$enableval = xno; then
-         build_stored=no
+        build_stored=no
       fi
 
 
@@ -24301,7 +24329,7 @@ fi
 if test "${enable_conio+set}" = set; then
   enableval=$enable_conio;
        if test x$enableval = xno; then
-          support_conio=no
+         support_conio=no
        fi
 
 
@@ -24314,7 +24342,7 @@ support_ipv6=yes
 if test "${enable_ipv6+set}" = set; then
   enableval=$enable_ipv6;
        if test x$enableval = xno; then
-          support_ipv6=no
+         support_ipv6=no
        fi
 
 
 echo "${ECHO_T}$ac_cv_lib_curses_tgetent" >&6; }
 if test $ac_cv_lib_curses_tgetent = yes; then
    CONS_LIBS="-lcurses"
-         CONS_OBJ="conio.o"
-         CONS_SRC="conio.c"
-         got_conio="yes"
-         support_readline=no
+        CONS_OBJ="conio.o"
+        CONS_SRC="conio.c"
+        got_conio="yes"
+        support_readline=no
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_CONIO 1
@@ -24940,7 +24968,7 @@ fi
 if test "${enable_readline+set}" = set; then
   enableval=$enable_readline;
        if test x$enableval = xno; then
-          support_readline=no
+         support_readline=no
        fi
 
 
@@ -24954,23 +24982,23 @@ if test x$support_readline = xyes; then
 # Check whether --with-readline was given.
 if test "${with_readline+set}" = set; then
   withval=$with_readline;
-          case "$with_readline" in
-          no)
-             :
-             ;;
-          yes|*)
-             if test -f ${with_readline}/readline.h; then
-                CONS_INC="-I${with_readline}"
-                CONS_LDFLAGS="-L$with_readline"
-             elif test -f ${with_readline}/include/readline/readline.h; then
-                CONS_INC="-I${with_readline}/include/readline"
-                CONS_LDFLAGS="-L${with_readline}/lib"
-                with_readline="${with_readline}/include/readline"
-             else
-                with_readline="/usr/include/readline"
-             fi
-
-             as_ac_Header=`echo "ac_cv_header_${with_readline}/readline.h" | $as_tr_sh`
+         case "$with_readline" in
+         no)
+            :
+            ;;
+         yes|*)
+            if test -f ${with_readline}/readline.h; then
+               CONS_INC="-I${with_readline}"
+               CONS_LDFLAGS="-L$with_readline"
+            elif test -f ${with_readline}/include/readline/readline.h; then
+               CONS_INC="-I${with_readline}/include/readline"
+               CONS_LDFLAGS="-L${with_readline}/lib"
+               with_readline="${with_readline}/include/readline"
+            else
+               with_readline="/usr/include/readline"
+            fi
+
+            as_ac_Header=`echo "ac_cv_header_${with_readline}/readline.h" | $as_tr_sh`
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   { echo "$as_me:$LINENO: checking for ${with_readline}/readline.h" >&5
 echo $ECHO_N "checking for ${with_readline}/readline.h... $ECHO_C" >&6; }
@@ -25105,25 +25133,25 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_READLINE 1
 _ACEOF
 
-                    CONS_LIBS="-lreadline -lhistory -ltermcap"
-                    got_readline="yes"
+                   CONS_LIBS="-lreadline -lhistory -ltermcap"
+                   got_readline="yes"
 
 else
 
-                    echo " "
-                    echo "readline.h not found. readline turned off ..."
-                    echo " "
+                   echo " "
+                   echo "readline.h not found. readline turned off ..."
+                   echo " "
 
 
 fi
 
 
-             ;;
-          esac
+            ;;
+         esac
 
 else
 
-                  if test "${ac_cv_header__usr_include_readline_readline_h+set}" = set; then
+                if test "${ac_cv_header__usr_include_readline_readline_h+set}" = set; then
   { echo "$as_me:$LINENO: checking for /usr/include/readline/readline.h" >&5
 echo $ECHO_N "checking for /usr/include/readline/readline.h... $ECHO_C" >&6; }
 if test "${ac_cv_header__usr_include_readline_readline_h+set}" = set; then
@@ -25255,13 +25283,13 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_READLINE 1
 _ACEOF
 
-                got_readline="yes"
-                CONS_INC="-I/usr/include/readline"
-                CONS_LIBS="-lreadline -ltermcap"
+               got_readline="yes"
+               CONS_INC="-I/usr/include/readline"
+               CONS_LIBS="-lreadline -ltermcap"
 
 else
 
-                                as_ac_Header=`echo "ac_cv_header_${TOP_DIR}/depkgs/readline/readline.h" | $as_tr_sh`
+                               as_ac_Header=`echo "ac_cv_header_${TOP_DIR}/depkgs/readline/readline.h" | $as_tr_sh`
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   { echo "$as_me:$LINENO: checking for ${TOP_DIR}/depkgs/readline/readline.h" >&5
 echo $ECHO_N "checking for ${TOP_DIR}/depkgs/readline/readline.h... $ECHO_C" >&6; }
@@ -25396,17 +25424,17 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_READLINE 1
 _ACEOF
 
-                        got_readline="yes"
-                        CONS_INC="-I${TOP_DIR}/depkgs/readline"
-                        CONS_LIBS="-lreadline -lhistory -ltermcap"
-                        CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
-                        PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
+                       got_readline="yes"
+                       CONS_INC="-I${TOP_DIR}/depkgs/readline"
+                       CONS_LIBS="-lreadline -lhistory -ltermcap"
+                       CONS_LDFLAGS="-L${TOP_DIR}/depkgs/readline"
+                       PRTREADLINE_SRC="${TOP_DIR}/depkgs/readline"
 
 else
 
-                        echo " "
-                        echo "readline.h not found. readline turned off ..."
-                        echo " "
+                       echo " "
+                       echo "readline.h not found. readline turned off ..."
+                       echo " "
 
 
 fi
@@ -26087,75 +26115,75 @@ if test "${with_python+set}" = set; then
        PYTHON_INCDIR=
        PYTHON_LIBS=
        if test "$withval" != "no"; then
-          if test "$withval" = "yes"; then
-             for python_root in /usr /usr/local /usr/sfw; do
-                for ver in python2.2 python2.3 python2.4 python2.5; do
-                   if test -f $python_root/include/${ver}/Python.h; then
-                      PYTHON_INCDIR=-I$python_root/include/${ver}
-                      if test -d $python_root/lib64/${ver}/config; then
-                         PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
-                      else
-                         PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
-                      fi
-                      break
-                   fi
-                done
-             done
-
-             if test x$PYTHON_INCDIR = x; then
-                if test -f $prefix/include/Python.h; then
-                   PYTHON_INCDIR=-I$prefix/include
-                   if test -d $prefix/lib64/config; then
-                      PYTHON_LIBS="-L$prefix/lib64/config -lpython"
-                   else
-                      PYTHON_LIBS="-L$prefix/lib/config -lpython"
-                   fi
-                else
-                   { echo "$as_me:$LINENO: result: no" >&5
+         if test "$withval" = "yes"; then
+            for python_root in /usr /usr/local /usr/sfw; do
+               for ver in python2.2 python2.3 python2.4 python2.5; do
+                  if test -f $python_root/include/${ver}/Python.h; then
+                     PYTHON_INCDIR=-I$python_root/include/${ver}
+                     if test -d $python_root/lib64/${ver}/config; then
+                        PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
+                     else
+                        PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
+                     fi
+                     break
+                  fi
+               done
+            done
+
+            if test x$PYTHON_INCDIR = x; then
+               if test -f $prefix/include/Python.h; then
+                  PYTHON_INCDIR=-I$prefix/include
+                  if test -d $prefix/lib64/config; then
+                     PYTHON_LIBS="-L$prefix/lib64/config -lpython"
+                  else
+                     PYTHON_LIBS="-L$prefix/lib/config -lpython"
+                  fi
+               else
+                  { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-                   { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
+                  { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
 echo "$as_me: error: Unable to find Python.h in standard locations" >&2;}
    { (exit 1); exit 1; }; }
-                fi
-             fi
-          else
-             if test -f $withval/Python.h; then
-                PYTHON_INCDIR=-I$withval
-                PYTHON_LIBS="-L$withval/config -lpython"
-             elif test -f $withval/include/Python.h; then
-                PYTHON_INCDIR=-I$withval/include
-                if test -d $withval/lib64/config; then
-                   PYTHON_LIBS="-L$withval/lib64/config -lpython"
-                else
-                   PYTHON_LIBS="-L$withval/lib/config -lpython"
-                fi
-             elif test -f $withval/include/python/Python.h; then
-                PYTHON_INCDIR=-I$withval/include/python
-                if test -d $withval/lib64/python/config; then
-                   PYTHON_LIBS="-L$withval/lib64/python/config -lpython"
-                else
-                   PYTHON_LIBS="-L$withval/lib/python/config -lpython"
-                fi
-             else
-                { echo "$as_me:$LINENO: result: no" >&5
+               fi
+            fi
+         else
+            if test -f $withval/Python.h; then
+               PYTHON_INCDIR=-I$withval
+               PYTHON_LIBS="-L$withval/config -lpython"
+            elif test -f $withval/include/Python.h; then
+               PYTHON_INCDIR=-I$withval/include
+               if test -d $withval/lib64/config; then
+                  PYTHON_LIBS="-L$withval/lib64/config -lpython"
+               else
+                  PYTHON_LIBS="-L$withval/lib/config -lpython"
+               fi
+            elif test -f $withval/include/python/Python.h; then
+               PYTHON_INCDIR=-I$withval/include/python
+               if test -d $withval/lib64/python/config; then
+                  PYTHON_LIBS="-L$withval/lib64/python/config -lpython"
+               else
+                  PYTHON_LIBS="-L$withval/lib/python/config -lpython"
+               fi
+            else
+               { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-                { { echo "$as_me:$LINENO: error: Invalid Python directory $withval - unable to find Python.h under $withval" >&5
+               { { echo "$as_me:$LINENO: error: Invalid Python directory $withval - unable to find Python.h under $withval" >&5
 echo "$as_me: error: Invalid Python directory $withval - unable to find Python.h under $withval" >&2;}
    { (exit 1); exit 1; }; }
-             fi
-          fi
+            fi
+         fi
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_PYTHON 1
 _ACEOF
 
-          { echo "$as_me:$LINENO: result: yes" >&5
+         { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
-          support_python=yes
-          { echo "$as_me:$LINENO: checking for more Python libs" >&5
+         support_python=yes
+         { echo "$as_me:$LINENO: checking for more Python libs" >&5
 echo "$as_me: checking for more Python libs" >&6;}
-          saved_LIBS="$LIBS"; LIBS=
-          { echo "$as_me:$LINENO: checking for library containing shm_open" >&5
+         saved_LIBS="$LIBS"; LIBS=
+         { echo "$as_me:$LINENO: checking for library containing shm_open" >&5
 echo $ECHO_N "checking for library containing shm_open... $ECHO_C" >&6; }
 if test "${ac_cv_search_shm_open+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26309,10 +26337,10 @@ _ACEOF
 
 fi
 
-          PYTHON_LIBS="$PYTHON_LIBS $LIBS"
-          LIBS="$saved_LIBS"
+         PYTHON_LIBS="$PYTHON_LIBS $LIBS"
+         LIBS="$saved_LIBS"
        else
-          { echo "$as_me:$LINENO: result: no" >&5
+         { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
        fi
 
@@ -26635,11 +26663,11 @@ WRAPLIBS=""
 if test "${with_tcp_wrappers+set}" = set; then
   withval=$with_tcp_wrappers;
        if test "x$withval" != "xno" ; then
-          saved_LIBS="$LIBS"
-          LIBS="$saved_LIBS -lwrap"
-          { echo "$as_me:$LINENO: checking for libwrap" >&5
+         saved_LIBS="$LIBS"
+         LIBS="$saved_LIBS -lwrap"
+         { echo "$as_me:$LINENO: checking for libwrap" >&5
 echo $ECHO_N "checking for libwrap... $ECHO_C" >&6; }
-          { echo "$as_me:$LINENO: checking for library containing nanosleep" >&5
+         { echo "$as_me:$LINENO: checking for library containing nanosleep" >&5
 echo $ECHO_N "checking for library containing nanosleep... $ECHO_C" >&6; }
 if test "${ac_cv_search_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26722,24 +26750,24 @@ if test "$ac_res" != no; then
 
 fi
 
-          cat >conftest.$ac_ext <<_ACEOF
+         cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-               #include <sys/types.h>
-               #include <tcpd.h>
-               int deny_severity = 0;
-               int allow_severity = 0;
-               struct request_info *req;
+              #include <sys/types.h>
+              #include <tcpd.h>
+              int deny_severity = 0;
+              int allow_severity = 0;
+              struct request_info *req;
 
 int
 main ()
 {
 
-                hosts_access(req);
+               hosts_access(req);
 
   ;
   return 0;
@@ -26764,42 +26792,42 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
 
-                 { echo "$as_me:$LINENO: result: yes" >&5
+                { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_LIBWRAP 1
 _ACEOF
 
-                 TCPW_MSG="yes"
-                 LIBS="$saved_LIBS"
-                 WRAPLIBS="-lwrap"
+                TCPW_MSG="yes"
+                LIBS="$saved_LIBS"
+                WRAPLIBS="-lwrap"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                 LIBS="$saved_LIBS -lwrap -lnsl"
-                 WRAPLIBS="$saved_LIBS -lwrap -lnsl"
-                 cat >conftest.$ac_ext <<_ACEOF
+                LIBS="$saved_LIBS -lwrap -lnsl"
+                WRAPLIBS="$saved_LIBS -lwrap -lnsl"
+                cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                       #include <sys/types.h>
-                       #include <tcpd.h>
-                       int deny_severity = 0;
-                       int allow_severity = 0;
-                       struct request_info *req;
+                      #include <sys/types.h>
+                      #include <tcpd.h>
+                      int deny_severity = 0;
+                      int allow_severity = 0;
+                      struct request_info *req;
 
 int
 main ()
 {
 
-                       hosts_access(req);
+                      hosts_access(req);
 
   ;
   return 0;
@@ -26824,23 +26852,23 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
 
-                      { echo "$as_me:$LINENO: result: yes" >&5
+                     { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_LIBWRAP 1
 _ACEOF
 
-                      TCPW_MSG="yes"
-                      LIBS="$saved_LIBS"
-                      WRAPLIBS="-lwrap"
+                     TCPW_MSG="yes"
+                     LIBS="$saved_LIBS"
+                     WRAPLIBS="-lwrap"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                      { { echo "$as_me:$LINENO: error: *** libwrap missing" >&5
+                     { { echo "$as_me:$LINENO: error: *** libwrap missing" >&5
 echo "$as_me: error: *** libwrap missing" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -26867,7 +26895,7 @@ echo $ECHO_N "checking for OpenSSL... $ECHO_C" >&6; }
 # Check whether --with-openssl was given.
 if test "${with_openssl+set}" = set; then
   withval=$with_openssl;
-        with_openssl_directory=${withval}
+       with_openssl_directory=${withval}
 
 
 fi
@@ -26882,8 +26910,8 @@ if test "x$with_openssl_directory" != "xno"; then
       # Make sure the $with_openssl_directory also makes sense
       #
       if test -d "$with_openssl_directory/lib" -a -d "$with_openssl_directory/include"; then
-         OPENSSL_LIBS="-L$with_openssl_directory/lib $OPENSSL_LIBS"
-         OPENSSL_INC="-I$with_openssl_directory/include $OPENSSL_INC"
+        OPENSSL_LIBS="-L$with_openssl_directory/lib $OPENSSL_LIBS"
+        OPENSSL_INC="-I$with_openssl_directory/include $OPENSSL_INC"
       fi
    fi
 
@@ -26899,13 +26927,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <openssl/ssl.h>
+         #include <openssl/ssl.h>
 
 int
 main ()
 {
 
-           CRYPTO_set_id_callback(NULL);
+          CRYPTO_set_id_callback(NULL);
 
   ;
   return 0;
@@ -26930,15 +26958,15 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
 
-          support_tls="yes"
-          support_crypto="yes"
+         support_tls="yes"
+         support_crypto="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-          support_tls="no"
+         support_tls="no"
 
 
 fi
@@ -26953,13 +26981,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <openssl/evp.h>
+         #include <openssl/evp.h>
 
 int
 main ()
 {
 
-          EVP_sha512();
+         EVP_sha512();
 
   ;
   return 0;
@@ -26984,14 +27012,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
 
-          ac_cv_openssl_sha2="yes"
+         ac_cv_openssl_sha2="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-          ac_cv_openssl_sha2="no"
+         ac_cv_openssl_sha2="no"
 
 
 fi
@@ -27006,13 +27034,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <openssl/evp.h>
+         #include <openssl/evp.h>
 
 int
 main ()
 {
 
-          EVP_aes_192_cbc();
+         EVP_aes_192_cbc();
 
   ;
   return 0;
@@ -27037,14 +27065,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
 
-          ac_cv_openssl_export="no"
+         ac_cv_openssl_export="no"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-          ac_cv_openssl_export="yes"
+         ac_cv_openssl_export="yes"
 
 
 fi
@@ -27190,7 +27218,7 @@ working_dir=`eval echo ${prefix}/var/bacula/working`
 if test "${with_working_dir+set}" = set; then
   withval=$with_working_dir;
        if test "x$withval" != "xno" ; then
-         working_dir=$withval
+        working_dir=$withval
        fi
 
 
@@ -27205,7 +27233,7 @@ archive_dir=/tmp
 if test "${with_archivedir+set}" = set; then
   withval=$with_archivedir;
        if test "x$withval" != "xno" ; then
-          archivedir=$withval
+         archivedir=$withval
        fi
 
 
@@ -27220,7 +27248,7 @@ scriptdir=`eval echo ${sysconfdir}`
 if test "${with_scriptdir+set}" = set; then
   withval=$with_scriptdir;
        if test "x$withval" != "xno" ; then
-          scriptdir=$withval
+         scriptdir=$withval
        fi
 
 
@@ -27238,7 +27266,7 @@ plugindir=`eval echo ${sysconfdir}`
 if test "${with_plugindir+set}" = set; then
   withval=$with_plugindir;
        if test "x$withval" != "xno" ; then
-          plugindir=$withval
+         plugindir=$withval
        fi
 
 
@@ -27253,7 +27281,7 @@ dump_email=root@localhost
 if test "${with_dump_email+set}" = set; then
   withval=$with_dump_email;
        if test "x$withval" != "xno" ; then
-          dump_email=$withval
+         dump_email=$withval
        fi
 
 
@@ -27268,7 +27296,7 @@ job_email=root@localhost
 if test "${with_job_email+set}" = set; then
   withval=$with_job_email;
        if test "x$withval" != "xno" ; then
-          job_email=$withval
+         job_email=$withval
        fi
 
 
@@ -27283,7 +27311,7 @@ smtp_host=localhost
 if test "${with_smtp_host+set}" = set; then
   withval=$with_smtp_host;
        if test "x$withval" != "xno" ; then
-          smtp_host=$withval
+         smtp_host=$withval
        fi
 
 
@@ -27298,7 +27326,7 @@ piddir=/var/run
 if test "${with_pid_dir+set}" = set; then
   withval=$with_pid_dir;
        if test "x$withval" != "xno" ; then
-          piddir=$withval
+         piddir=$withval
        fi
 
 
@@ -27324,7 +27352,7 @@ fi
 if test "${with_subsys_dir+set}" = set; then
   withval=$with_subsys_dir;
        if test "x$withval" != "xno" ; then
-          subsysdir=$withval
+         subsysdir=$withval
        fi
 
 
@@ -27339,7 +27367,7 @@ baseport=9101
 if test "${with_baseport+set}" = set; then
   withval=$with_baseport;
        if test "x$withval" != "xno" ; then
-          baseport=$withval
+         baseport=$withval
        fi
 
 
@@ -27361,7 +27389,7 @@ dir_password=
 if test "${with_dir_password+set}" = set; then
   withval=$with_dir_password;
        if test "x$withval" != "xno" ; then
-          dir_password=$withval
+         dir_password=$withval
        fi
 
 
@@ -27383,7 +27411,7 @@ fd_password=
 if test "${with_fd_password+set}" = set; then
   withval=$with_fd_password;
        if test "x$withval" != "xno" ; then
-          fd_password=$withval
+         fd_password=$withval
        fi
 
 
@@ -27405,7 +27433,7 @@ sd_password=
 if test "${with_sd_password+set}" = set; then
   withval=$with_sd_password;
        if test "x$withval" != "xno" ; then
-          sd_password=$withval
+         sd_password=$withval
        fi
 
 
@@ -27427,7 +27455,7 @@ mon_dir_password=
 if test "${with_mon_dir_password+set}" = set; then
   withval=$with_mon_dir_password;
        if test "x$withval" != "xno" ; then
-          mon_dir_password=$withval
+         mon_dir_password=$withval
        fi
 
 
@@ -27449,7 +27477,7 @@ mon_fd_password=
 if test "${with_mon_fd_password+set}" = set; then
   withval=$with_mon_fd_password;
        if test "x$withval" != "xno" ; then
-          mon_fd_password=$withval
+         mon_fd_password=$withval
        fi
 
 
@@ -27471,7 +27499,7 @@ mon_sd_password=
 if test "${with_mon_sd_password+set}" = set; then
   withval=$with_mon_sd_password;
        if test "x$withval" != "xno" ; then
-          mon_sd_password=$withval
+         mon_sd_password=$withval
        fi
 
 
@@ -27500,7 +27528,7 @@ db_name=bacula
 if test "${with_db_name+set}" = set; then
   withval=$with_db_name;
        if test "x$withval" != "x" ; then
-          db_name=$withval
+         db_name=$withval
        fi
 
 
@@ -27514,7 +27542,7 @@ db_user=bacula
 if test "${with_db_user+set}" = set; then
   withval=$with_db_user;
        if test "x$withval" != "x" ; then
-          db_user=$withval
+         db_user=$withval
        fi
 
 
@@ -27528,7 +27556,7 @@ db_password=
 if test "${with_db_password+set}" = set; then
   withval=$with_db_password;
        if test "x$withval" != "x" ; then
-          db_password=$withval
+         db_password=$withval
        fi
 
 
@@ -27542,7 +27570,7 @@ db_port=" "
 if test "${with_db_port+set}" = set; then
   withval=$with_db_port;
        if test "x$withval" != "x" ; then
-          db_port=$withval
+         db_port=$withval
        fi
 
 
@@ -27559,7 +27587,7 @@ dir_user=
 if test "${with_dir_user+set}" = set; then
   withval=$with_dir_user;
        if test "x$withval" != "x" ; then
-           dir_user=$withval
+          dir_user=$withval
        fi
 
 
@@ -27572,7 +27600,7 @@ dir_group=
 if test "${with_dir_group+set}" = set; then
   withval=$with_dir_group;
        if test "x$withval" != "x" ; then
-          dir_group=$withval
+         dir_group=$withval
        fi
 
 
@@ -27585,7 +27613,7 @@ sd_user=
 if test "${with_sd_user+set}" = set; then
   withval=$with_sd_user;
        if test "x$withval" != "x" ; then
-          sd_user=$withval
+         sd_user=$withval
        fi
 
 
@@ -27598,7 +27626,7 @@ sd_group=
 if test "${with_sd_group+set}" = set; then
   withval=$with_sd_group;
        if test "x$withval" != "x" ; then
-          sd_group=$withval
+         sd_group=$withval
        fi
 
 
@@ -27611,7 +27639,7 @@ fd_user=
 if test "${with_fd_user+set}" = set; then
   withval=$with_fd_user;
        if test "x$withval" != "x" ; then
-          fd_user=$withval
+         fd_user=$withval
        fi
 
 
@@ -27624,7 +27652,7 @@ fd_group=
 if test "${with_fd_group+set}" = set; then
   withval=$with_fd_group;
        if test "x$withval" != "x" ; then
-          fd_group=$withval
+         fd_group=$withval
        fi
 
 
@@ -27644,7 +27672,7 @@ SBINPERM=0754
 if test "${with_sbin_perm+set}" = set; then
   withval=$with_sbin_perm;
        if test "x$withval" != "x" ; then
-          SBINPERM=$withval
+         SBINPERM=$withval
        fi
 
 
@@ -27943,6 +27971,9 @@ if test "${with_mysql+set}" = set; then
                    if test -f /usr/lib64/mysql/libmysqlclient_r.a \
                         -o -f /usr/lib64/mysql/libmysqlclient_r.so; then
                            MYSQL_LIBDIR=/usr/lib64/mysql
+                   elif test -f /usr/lib64/libmysqlclient_r.a \
+                        -o -f /usr/lib64/libmysqlclient_r.so; then
+                           MYSQL_LIBDIR=/usr/lib64
                    elif test -f /usr/lib/mysql/libmysqlclient_r.a \
                           -o -f /usr/lib/mysql/libmysqlclient_r.so; then
                            MYSQL_LIBDIR=/usr/lib/mysql
@@ -27990,12 +28021,14 @@ echo "$as_me: error: Unable to find mysql.h in standard locations" >&2;}
               if test -f $withval/lib64/mysql/libmysqlclient_r.a \
                    -o -f $withval/lib64/mysql/libmysqlclient_r.so; then
                  MYSQL_LIBDIR=$withval/lib64/mysql
+              elif test -f $withval/lib64/libmysqlclient_r.a \
+                   -o -f $withval/lib64/libmysqlclient_r.so; then
+                 MYSQL_LIBDIR=$withval/lib64
+              elif test -f $withval/lib/libmysqlclient_r.a \
+                   -o -f $withval/lib/libmysqlclient_r.so; then
+                 MYSQL_LIBDIR=$withval/lib
               else
                  MYSQL_LIBDIR=$withval/lib/mysql
-                 # Solaris ...
-                 if test -f $withval/lib/libmysqlclient_r.so; then
-                    MYSQL_LIBDIR=$withval/lib
-                 fi
               fi
               MYSQL_BINDIR=$withval/bin
            elif test -f $withval/include/mysql.h; then
@@ -28707,11 +28740,11 @@ if test $pkg = 0; then
    # Check whether --enable-batch-insert was given.
 if test "${enable_batch_insert+set}" = set; then
   enableval=$enable_batch_insert;
-          if test x$enableval = xno; then
-             support_batch_insert=no
-          else
-             support_batch_insert=yes
-          fi
+         if test x$enableval = xno; then
+            support_batch_insert=no
+         else
+            support_batch_insert=yes
+         fi
 
 
 fi
@@ -28749,11 +28782,11 @@ if test x$DB_TYPE = xdbi; then
       # Check whether --enable-batch-insert was given.
 if test "${enable_batch_insert+set}" = set; then
   enableval=$enable_batch_insert;
-             if test x$enableval = xno; then
-                support_batch_insert=no
-             else
-                support_batch_insert=yes
-             fi
+            if test x$enableval = xno; then
+               support_batch_insert=no
+            else
+               support_batch_insert=yes
+            fi
 
 
 fi
@@ -32100,14 +32133,14 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
-              #include <utime.h>
+             #include <sys/types.h>
+             #include <utime.h>
 
 int
 main ()
 {
 
-              struct utimbuf foo
+             struct utimbuf foo
 
   ;
   return 0;
@@ -32131,14 +32164,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-              ba_cv_header_utime_h=yes
+             ba_cv_header_utime_h=yes
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              ba_cv_header_utime_h=no
+             ba_cv_header_utime_h=no
 
 
 fi
@@ -32168,14 +32201,14 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
-              #include <sys/socket.h>
+             #include <sys/types.h>
+             #include <sys/socket.h>
 
 int
 main ()
 {
 
-              socklen_t x
+             socklen_t x
 
   ;
   return 0;
@@ -32199,14 +32232,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-             ba_cv_header_socklen_t=yes
+            ba_cv_header_socklen_t=yes
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-             ba_cv_header_socklen_t=no
+            ba_cv_header_socklen_t=no
 
 
 fi
@@ -32230,7 +32263,7 @@ else
 
        if test "$cross_compiling" = yes; then
 
-             ba_cv_bigendian=no
+            ba_cv_bigendian=no
 
 
 else
@@ -32241,7 +32274,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              main(){long a=1L; char *p=(char *)&a; exit(*p);}
+             main(){long a=1L; char *p=(char *)&a; exit(*p);}
 
 _ACEOF
 rm -f conftest$ac_exeext
@@ -32265,7 +32298,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-             ba_cv_bigendian=yes
+            ba_cv_bigendian=yes
 
 else
   echo "$as_me: program exited with status $ac_status" >&5
@@ -32274,7 +32307,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
 
-             ba_cv_bigendian=no
+            ba_cv_bigendian=no
 
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
@@ -32305,7 +32338,7 @@ else
 
        if test "$cross_compiling" = yes; then
 
-              ba_cv_have_typeof=no
+             ba_cv_have_typeof=no
 
 
 else
@@ -32316,7 +32349,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              main(){char *a = 0; a = (typeof a)a;}
+             main(){char *a = 0; a = (typeof a)a;}
 
 _ACEOF
 rm -f conftest$ac_exeext
@@ -32340,7 +32373,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-              ba_cv_have_typeof=yes
+             ba_cv_have_typeof=yes
 
 else
   echo "$as_me: program exited with status $ac_status" >&5
@@ -32349,7 +32382,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
 
-              ba_cv_have_typeof=no
+             ba_cv_have_typeof=no
 
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
@@ -32532,8 +32565,8 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <sys/statfs.h>
-          #include <sys/fstyp.h>
+         #include <sys/statfs.h>
+         #include <sys/fstyp.h>
 
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
@@ -32574,8 +32607,8 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <sys/statfs.h>
-          #include <sys/vmount.h>
+         #include <sys/statfs.h>
+         #include <sys/vmount.h>
 
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
@@ -32616,7 +32649,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <mntent.h>
+         #include <mntent.h>
 
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
@@ -32677,8 +32710,8 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <sys/mount.h>
-          #include <sys/fs_types.h>
+         #include <sys/mount.h>
+         #include <sys/fs_types.h>
 
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
@@ -36583,13 +36616,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              u_int a; a = 1;
+             u_int a; a = 1;
 
   ;
   return 0;
@@ -36613,14 +36646,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-              ac_cv_have_u_int="yes"
+             ac_cv_have_u_int="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              ac_cv_have_u_int="no"
+             ac_cv_have_u_int="no"
 
 
 fi
@@ -36652,13 +36685,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              intmax_t a; a = 1;
+             intmax_t a; a = 1;
 
   ;
   return 0;
@@ -36682,27 +36715,27 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-              ac_cv_have_intmax_t="yes"
+             ac_cv_have_intmax_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              cat >conftest.$ac_ext <<_ACEOF
+             cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                     #include <stdint.h>
+                    #include <stdint.h>
 
 int
 main ()
 {
 
-                     intmax_t a; a = 1;
+                    intmax_t a; a = 1;
 
   ;
   return 0;
@@ -36726,14 +36759,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-                     ac_cv_have_intmax_t="yes"
+                    ac_cv_have_intmax_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                     ac_cv_have_intmax_t="no"
+                    ac_cv_have_intmax_t="no"
 
 
 fi
@@ -36770,13 +36803,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              u_intmax_t a; a = 1;
+             u_intmax_t a; a = 1;
 
   ;
   return 0;
@@ -36800,27 +36833,27 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-              ac_cv_have_u_intmax_t="yes"
+             ac_cv_have_u_intmax_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              cat >conftest.$ac_ext <<_ACEOF
+             cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                     #include <stdint.h>
+                    #include <stdint.h>
 
 int
 main ()
 {
 
-                    u_intmax_t a; a = 1;
+                   u_intmax_t a; a = 1;
 
   ;
   return 0;
@@ -36844,14 +36877,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-                    ac_cv_have_u_intmax_t="yes"
+                   ac_cv_have_u_intmax_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                    ac_cv_have_u_intmax_t="no"
+                   ac_cv_have_u_intmax_t="no"
 
 
 fi
@@ -36888,13 +36921,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              int8_t a; int16_t b; int32_t c; a = b = c = 1;
+             int8_t a; int16_t b; int32_t c; a = b = c = 1;
 
   ;
   return 0;
@@ -36918,14 +36951,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-              ac_cv_have_intxx_t="yes"
+             ac_cv_have_intxx_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              ac_cv_have_intxx_t="no"
+             ac_cv_have_intxx_t="no"
 
 
 fi
@@ -36957,13 +36990,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              int64_t a; a = 1;
+             int64_t a; a = 1;
 
   ;
   return 0;
@@ -36987,14 +37020,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-              ac_cv_have_int64_t="yes"
+             ac_cv_have_int64_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              ac_cv_have_int64_t="no"
+             ac_cv_have_int64_t="no"
 
 
 fi
@@ -37026,13 +37059,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;
+             u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;
 
   ;
   return 0;
@@ -37056,14 +37089,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-             ac_cv_have_u_intxx_t="yes"
+            ac_cv_have_u_intxx_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-             ac_cv_have_u_intxx_t="no"
+            ac_cv_have_u_intxx_t="no"
 
 
 fi
@@ -37095,13 +37128,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/types.h>
+             #include <sys/types.h>
 
 int
 main ()
 {
 
-              u_int64_t a; a = 1;
+             u_int64_t a; a = 1;
 
   ;
   return 0;
@@ -37125,14 +37158,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-             ac_cv_have_u_int64_t="yes"
+            ac_cv_have_u_int64_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-             ac_cv_have_u_int64_t="no"
+            ac_cv_have_u_int64_t="no"
 
 
 fi
@@ -37163,15 +37196,15 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <sys/bitypes.h>
+         #include <sys/bitypes.h>
 
 int
 main ()
 {
 
-          int8_t a; int16_t b; int32_t c;
-          u_int8_t e; u_int16_t f; u_int32_t g;
-          a = b = c = e = f = g = 1;
+         int8_t a; int16_t b; int32_t c;
+         u_int8_t e; u_int16_t f; u_int32_t g;
+         a = b = c = e = f = g = 1;
 
   ;
   return 0;
@@ -37195,19 +37228,19 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_U_INTXX_T 1
 _ACEOF
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_INTXX_T 1
 _ACEOF
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_SYS_BITYPES_H 1
 _ACEOF
 
-          { echo "$as_me:$LINENO: result: yes" >&5
+         { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 else
@@ -37215,7 +37248,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-          { echo "$as_me:$LINENO: result: no" >&5
+         { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 
 
@@ -37231,21 +37264,21 @@ if test "${ac_cv_have_uintxx_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-          cat >conftest.$ac_ext <<_ACEOF
+         cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                 #include <sys/types.h>
+                #include <sys/types.h>
 
 int
 main ()
 {
 
-                 uint8_t a; uint16_t b;
-                 uint32_t c; a = b = c = 1;
+                uint8_t a; uint16_t b;
+                uint32_t c; a = b = c = 1;
 
   ;
   return 0;
@@ -37269,14 +37302,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-                ac_cv_have_uintxx_t="yes"
+               ac_cv_have_uintxx_t="yes"
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                ac_cv_have_uintxx_t="no"
+               ac_cv_have_uintxx_t="no"
 
 
 fi
@@ -37307,14 +37340,14 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <sys/bitypes.h>
+         #include <sys/bitypes.h>
 
 int
 main ()
 {
 
-          int64_t a; u_int64_t b;
-          a = b = 1;
+         int64_t a; u_int64_t b;
+         a = b = 1;
 
   ;
   return 0;
@@ -37338,15 +37371,15 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_U_INT64_T 1
 _ACEOF
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_INT64_T 1
 _ACEOF
 
-          { echo "$as_me:$LINENO: result: yes" >&5
+         { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 else
@@ -37354,7 +37387,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-          { echo "$as_me:$LINENO: result: no" >&5
+         { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 
 
@@ -37375,14 +37408,14 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-          #include <sys/bitypes.h>
+         #include <sys/bitypes.h>
 
 int
 main ()
 {
 
-          uint8_t a; uint16_t b;
-          uint32_t c; a = b = c = 1;
+         uint8_t a; uint16_t b;
+         uint32_t c; a = b = c = 1;
 
   ;
   return 0;
@@ -37406,11 +37439,11 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-          cat >>confdefs.h <<\_ACEOF
+         cat >>confdefs.h <<\_ACEOF
 #define HAVE_UINTXX_T 1
 _ACEOF
 
-          { echo "$as_me:$LINENO: result: yes" >&5
+         { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 else
@@ -37418,7 +37451,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-          { echo "$as_me:$LINENO: result: no" >&5
+         { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 
 
@@ -38140,15 +38173,15 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <stdarg.h>
-              void use_va_copy(va_list args){va_list args2; va_copy(args2,args); va_end(args2);}
-              void call_use_va_copy(int junk,...){va_list args; va_start(args,junk); use_va_copy(args); va_end(args);}
+             #include <stdarg.h>
+             void use_va_copy(va_list args){va_list args2; va_copy(args2,args); va_end(args2);}
+             void call_use_va_copy(int junk,...){va_list args; va_start(args,junk); use_va_copy(args); va_end(args);}
 
 int
 main ()
 {
 
-              call_use_va_copy(1,2,3)
+             call_use_va_copy(1,2,3)
 
   ;
   return 0;
@@ -38173,14 +38206,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
 
-              ba_cv_va_copy=yes,
+             ba_cv_va_copy=yes,
 
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-              ba_cv_va_copy=no
+             ba_cv_va_copy=no
 
 
 fi
@@ -38832,13 +38865,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-              #include <sys/socket.h>
+             #include <sys/socket.h>
 
 int
 main ()
 {
 
-              struct sockaddr s; s.sa_len;
+             struct sockaddr s; s.sa_len;
 
   ;
   return 0;
@@ -38862,7 +38895,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
 
-             ac_cv_struct_sockaddr_sa_len=yes
+            ac_cv_struct_sockaddr_sa_len=yes
 
 else
   echo "$as_me: failed program was:" >&5
@@ -39832,7 +39865,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 fi
-             # AC_FUNC_FNMATCH    dnl use local version
+           # AC_FUNC_FNMATCH    dnl use local version
 
 { echo "$as_me:$LINENO: checking for gettext in -lintl" >&5
 echo $ECHO_N "checking for gettext in -lintl... $ECHO_C" >&6; }
@@ -40187,6 +40220,7 @@ _ACEOF
 fi
 
 have_acl=no
+have_extended_acl=no
 if test "${ac_cv_header_sys_acl_h+set}" = set; then
   { echo "$as_me:$LINENO: checking for sys/acl.h" >&5
 echo $ECHO_N "checking for sys/acl.h... $ECHO_C" >&6; }
 echo "${ECHO_T}$ac_cv_lib_acl_acl_get_file" >&6; }
 if test $ac_cv_lib_acl_acl_get_file = yes; then
 
-              have_acl=yes;
-              FDLIBS="-lacl $FDLIBS"
+             have_acl=yes;
+             FDLIBS="-lacl $FDLIBS"
 
 else
 
-              { echo "$as_me:$LINENO: checking for acltotext in -lsec" >&5
+             { echo "$as_me:$LINENO: checking for acltotext in -lsec" >&5
 echo $ECHO_N "checking for acltotext in -lsec... $ECHO_C" >&6; }
 if test "${ac_cv_lib_sec_acltotext+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 echo "${ECHO_T}$ac_cv_lib_sec_acltotext" >&6; }
 if test $ac_cv_lib_sec_acltotext = yes; then
 
-                     have_acl=yes;
-                     FDLIBS="-lsec $FDLIBS"
+                    have_acl=yes;
+                    FDLIBS="-lsec $FDLIBS"
+
+                    { echo "$as_me:$LINENO: checking for acl_totext in -lsec" >&5
+echo $ECHO_N "checking for acl_totext in -lsec... $ECHO_C" >&6; }
+if test "${ac_cv_lib_sec_acl_totext+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsec  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char acl_totext ();
+int
+main ()
+{
+return acl_totext ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_sec_acl_totext=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_sec_acl_totext=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_sec_acl_totext" >&5
+echo "${ECHO_T}$ac_cv_lib_sec_acl_totext" >&6; }
+if test $ac_cv_lib_sec_acl_totext = yes; then
+
+                           have_extended_acl=yes
+
+
+fi
+
 
 
 fi
@@ -40551,6 +40654,13 @@ _ACEOF
 
 fi
 
+if test $have_extended_acl = yes; then
+   cat >>confdefs.h <<\_ACEOF
+#define HAVE_EXTENDED_ACL 1
+_ACEOF
+
+fi
+
 PTHREAD_LIB=""
 { echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
 echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6; }
@@ -40682,7 +40792,7 @@ if test $ac_cv_lib_pthreads_pthread_create = yes; then
   PTHREAD_LIB="-lpthreads"
 else
 
-              { echo "$as_me:$LINENO: checking for pthread_create in -lc_r" >&5
+             { echo "$as_me:$LINENO: checking for pthread_create in -lc_r" >&5
 echo $ECHO_N "checking for pthread_create in -lc_r... $ECHO_C" >&6; }
 if test "${ac_cv_lib_c_r_pthread_create+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -40747,7 +40857,7 @@ if test $ac_cv_lib_c_r_pthread_create = yes; then
   PTHREAD_LIB="-lc_r"
 else
 
-                     { echo "$as_me:$LINENO: checking for pthread_create" >&5
+                    { echo "$as_me:$LINENO: checking for pthread_create" >&5
 echo $ECHO_N "checking for pthread_create... $ECHO_C" >&6; }
 if test "${ac_cv_func_pthread_create+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -40953,10 +41063,10 @@ debian)
    if test -f /etc/lsb-release ; then
       . /etc/lsb-release
       if test "x$DISTRIB_ID" != "x" ; then
-         DISTNAME=$DISTRIB_ID
+        DISTNAME=$DISTRIB_ID
       fi
       if test "x$DISTRIB_RELEASE" != "x" ; then
-         DISTVER=$DISTRIB_RELEASE
+        DISTVER=$DISTRIB_RELEASE
       fi
    fi
    if test "$DISTNAME" = "Ubuntu" ; then
@@ -40966,16 +41076,16 @@ debian)
    PSCMD="ps -e -o pid,command"
    if test "$DISTNAME" = "ubuntu" ; then
       PFILES="${PFILES} \
-         platforms/ubuntu/Makefile \
-         platforms/ubuntu/bacula-fd \
-         platforms/ubuntu/bacula-sd \
-         platforms/ubuntu/bacula-dir"
+        platforms/ubuntu/Makefile \
+        platforms/ubuntu/bacula-fd \
+        platforms/ubuntu/bacula-sd \
+        platforms/ubuntu/bacula-dir"
    else
       PFILES="${PFILES} \
-         platforms/debian/Makefile \
-         platforms/debian/bacula-fd \
-         platforms/debian/bacula-sd \
-         platforms/debian/bacula-dir"
+        platforms/debian/Makefile \
+        platforms/debian/bacula-fd \
+        platforms/debian/bacula-sd \
+        platforms/debian/bacula-dir"
    fi
   ;;
 freebsd)
@@ -41055,12 +41165,12 @@ redhat)
       f=/etc/redhat-release
    fi
    if test `cat $f | grep release |\
-         cut -f 3 -d ' '`x = "Enterprise"x ; then
+        cut -f 3 -d ' '`x = "Enterprise"x ; then
       DISTVER="Enterprise "`cat $f | grep release |\
-          cut -f 6 -d ' '`
+         cut -f 6 -d ' '`
    else
        DISTVER=`cat /etc/redhat-release | grep release |\
-           cut -f 5 -d ' '`
+          cut -f 5 -d ' '`
    fi
    TAPEDRIVE="/dev/nst0"
    PSCMD="ps -e -o pid,command"
@@ -41212,7 +41322,7 @@ if test "x${subsysdir}" = "x${sbindir}" ; then
    exit 1
 fi
 
-ac_config_files="$ac_config_files autoconf/Make.common Makefile manpages/Makefile scripts/startmysql scripts/stopmysql scripts/btraceback scripts/startit scripts/stopit scripts/bconsole scripts/gconsole scripts/bacula scripts/bacula-ctl-dir scripts/bacula-ctl-fd scripts/bacula-ctl-sd scripts/devel_bacula scripts/Makefile scripts/logrotate scripts/bacula.desktop.gnome1 scripts/bacula.desktop.gnome2 scripts/bacula.desktop.gnome1.consolehelper scripts/bacula.desktop.gnome2.consolehelper scripts/bacula.desktop.gnome1.xsu scripts/bacula.desktop.gnome2.xsu scripts/bgnome-console.console_apps scripts/mtx-changer scripts/disk-changer scripts/dvd-handler scripts/dvd-simulator scripts/bacula-tray-monitor.desktop scripts/logwatch/Makefile scripts/logwatch/logfile.bacula.conf scripts/wxconsole.console_apps scripts/wxconsole.desktop.consolehelper scripts/wxconsole.desktop.xsu scripts/bat.desktop scripts/bat.desktop.xsu scripts/bat.desktop.consolehelper scripts/bat.console_apps src/Makefile src/host.h src/console/Makefile src/console/bconsole.conf src/gnome2-console/Makefile src/gnome2-console/bgnome-console.conf src/qt-console/bat.conf src/qt-console/bat.pro src/qt-console/bat.pro.mingw32 src/qt-console/install_conf_file src/wx-console/Makefile src/wx-console/bwx-console.conf src/tray-monitor/Makefile src/tray-monitor/tray-monitor.conf src/dird/Makefile src/dird/bacula-dir.conf src/lib/Makefile src/stored/Makefile src/stored/bacula-sd.conf src/filed/Makefile src/filed/bacula-fd.conf src/cats/Makefile src/cats/make_catalog_backup src/cats/delete_catalog_backup src/cats/create_postgresql_database src/cats/update_postgresql_tables src/cats/make_postgresql_tables src/cats/grant_postgresql_privileges src/cats/drop_postgresql_tables src/cats/drop_postgresql_database src/cats/create_mysql_database src/cats/update_mysql_tables src/cats/make_mysql_tables src/cats/grant_mysql_privileges src/cats/drop_mysql_tables src/cats/drop_mysql_database src/cats/create_sqlite_database src/cats/update_sqlite_tables src/cats/make_sqlite_tables src/cats/grant_sqlite_privileges src/cats/drop_sqlite_tables src/cats/drop_sqlite_database src/cats/create_sqlite3_database src/cats/update_sqlite3_tables src/cats/make_sqlite3_tables src/cats/grant_sqlite3_privileges src/cats/drop_sqlite3_tables src/cats/drop_sqlite3_database src/cats/sqlite src/cats/mysql src/cats/create_bdb_database src/cats/update_bdb_tables src/cats/make_bdb_tables src/cats/grant_bdb_privileges src/cats/drop_bdb_tables src/cats/drop_bdb_database src/cats/create_bacula_database src/cats/update_bacula_tables src/cats/grant_bacula_privileges src/cats/make_bacula_tables src/cats/drop_bacula_tables src/cats/drop_bacula_database src/findlib/Makefile src/tools/Makefile src/plugins/fd/Makefile po/Makefile.in updatedb/update_mysql_tables_10_to_11 updatedb/update_sqlite3_tables_10_to_11 updatedb/update_postgresql_tables_10_to_11 updatedb/update_sqlite_tables_10_to_11 $PFILES"
+ac_config_files="$ac_config_files autoconf/Make.common Makefile manpages/Makefile scripts/startmysql scripts/stopmysql scripts/btraceback scripts/startit scripts/stopit scripts/bconsole scripts/gconsole scripts/bacula scripts/bacula-ctl-dir scripts/bacula-ctl-fd scripts/bacula-ctl-sd scripts/devel_bacula scripts/Makefile scripts/logrotate scripts/bacula.desktop.gnome1 scripts/bacula.desktop.gnome2 scripts/bacula.desktop.gnome1.consolehelper scripts/bacula.desktop.gnome2.consolehelper scripts/bacula.desktop.gnome1.xsu scripts/bacula.desktop.gnome2.xsu scripts/bgnome-console.console_apps scripts/mtx-changer scripts/disk-changer scripts/dvd-handler scripts/dvd-simulator scripts/bacula-tray-monitor.desktop scripts/logwatch/Makefile scripts/logwatch/logfile.bacula.conf scripts/wxconsole.console_apps scripts/wxconsole.desktop.consolehelper scripts/wxconsole.desktop.xsu scripts/bat.desktop scripts/bat.desktop.xsu scripts/bat.desktop.consolehelper scripts/bat.console_apps src/Makefile src/host.h src/console/Makefile src/console/bconsole.conf src/gnome2-console/Makefile src/gnome2-console/bgnome-console.conf src/qt-console/bat.conf src/qt-console/bat.pro src/qt-console/bat.pro.mingw32 src/qt-console/install_conf_file src/wx-console/Makefile src/wx-console/bwx-console.conf src/tray-monitor/Makefile src/tray-monitor/tray-monitor.conf src/dird/Makefile src/dird/bacula-dir.conf src/lib/Makefile src/stored/Makefile src/stored/bacula-sd.conf src/filed/Makefile src/filed/bacula-fd.conf src/cats/Makefile src/cats/make_catalog_backup src/cats/delete_catalog_backup src/cats/create_postgresql_database src/cats/update_postgresql_tables src/cats/make_postgresql_tables src/cats/grant_postgresql_privileges src/cats/drop_postgresql_tables src/cats/drop_postgresql_database src/cats/create_mysql_database src/cats/update_mysql_tables src/cats/make_mysql_tables src/cats/grant_mysql_privileges src/cats/drop_mysql_tables src/cats/drop_mysql_database src/cats/create_sqlite_database src/cats/update_sqlite_tables src/cats/make_sqlite_tables src/cats/grant_sqlite_privileges src/cats/drop_sqlite_tables src/cats/drop_sqlite_database src/cats/create_sqlite3_database src/cats/update_sqlite3_tables src/cats/make_sqlite3_tables src/cats/grant_sqlite3_privileges src/cats/drop_sqlite3_tables src/cats/drop_sqlite3_database src/cats/sqlite src/cats/mysql src/cats/create_bdb_database src/cats/update_bdb_tables src/cats/make_bdb_tables src/cats/grant_bdb_privileges src/cats/drop_bdb_tables src/cats/drop_bdb_database src/cats/create_bacula_database src/cats/update_bacula_tables src/cats/grant_bacula_privileges src/cats/make_bacula_tables src/cats/drop_bacula_tables src/cats/drop_bacula_database src/findlib/Makefile src/tools/Makefile src/plugins/fd/Makefile src/plugins/sd/Makefile src/plugins/dir/Makefile po/Makefile.in updatedb/update_mysql_tables_10_to_11 updatedb/update_sqlite3_tables_10_to_11 updatedb/update_postgresql_tables_10_to_11 updatedb/update_sqlite_tables_10_to_11 $PFILES"
 
 ac_config_commands="$ac_config_commands default"
 
@@ -42241,6 +42351,8 @@ do
     "src/findlib/Makefile") CONFIG_FILES="$CONFIG_FILES src/findlib/Makefile" ;;
     "src/tools/Makefile") CONFIG_FILES="$CONFIG_FILES src/tools/Makefile" ;;
     "src/plugins/fd/Makefile") CONFIG_FILES="$CONFIG_FILES src/plugins/fd/Makefile" ;;
+    "src/plugins/sd/Makefile") CONFIG_FILES="$CONFIG_FILES src/plugins/sd/Makefile" ;;
+    "src/plugins/dir/Makefile") CONFIG_FILES="$CONFIG_FILES src/plugins/dir/Makefile" ;;
     "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
     "updatedb/update_mysql_tables_10_to_11") CONFIG_FILES="$CONFIG_FILES updatedb/update_mysql_tables_10_to_11" ;;
     "updatedb/update_sqlite3_tables_10_to_11") CONFIG_FILES="$CONFIG_FILES updatedb/update_sqlite3_tables_10_to_11" ;;
@@ -42484,6 +42596,8 @@ LIBTOOL_INSTALL_TARGET!$LIBTOOL_INSTALL_TARGET$ac_delim
 LIBTOOL_UNINSTALL_TARGET!$LIBTOOL_UNINSTALL_TARGET$ac_delim
 LIBTOOL_CLEAN_TARGET!$LIBTOOL_CLEAN_TARGET$ac_delim
 QMAKE_LIBTOOL!$QMAKE_LIBTOOL$ac_delim
+INCLUDE_INSTALL_TARGET!$INCLUDE_INSTALL_TARGET$ac_delim
+INCLUDE_UNINSTALL_TARGET!$INCLUDE_UNINSTALL_TARGET$ac_delim
 HAVE_SUN_OS_TRUE!$HAVE_SUN_OS_TRUE$ac_delim
 HAVE_SUN_OS_FALSE!$HAVE_SUN_OS_FALSE$ac_delim
 HAVE_OSF1_OS_TRUE!$HAVE_OSF1_OS_TRUE$ac_delim
@@ -42549,8 +42663,6 @@ QWT_LDFLAGS!$QWT_LDFLAGS$ac_delim
 QWT_LIB!$QWT_LIB$ac_delim
 QWT!$QWT$ac_delim
 WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
-WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
-WX_DIR!$WX_DIR$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -42592,6 +42704,8 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
+WX_DIR!$WX_DIR$ac_delim
 TRAY_MONITOR_CPPFLAGS!$TRAY_MONITOR_CPPFLAGS$ac_delim
 TRAY_MONITOR_LDFLAGS!$TRAY_MONITOR_LDFLAGS$ac_delim
 TRAY_MONITOR_DIR!$TRAY_MONITOR_DIR$ac_delim
@@ -42681,7 +42795,7 @@ DISTVER!$DISTVER$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 87; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 89; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -44066,7 +44180,7 @@ cd ..
 
 c=updatedb
 chmod 755 $c/update_mysql_tables_10_to_11   $c/update_sqlite3_tables_10_to_11
-chmod 755 $c/update_postgresql_tables_10_to_11   $c/update_sqlite_tables_10_to_11
+chmod 755 $c/update_postgresql_tables_10_to_11  $c/update_sqlite_tables_10_to_11
 
 c=src/cats
 
@@ -44083,7 +44197,7 @@ chmod 755 $c/create_sqlite_database   $c/update_sqlite_tables  $c/make_sqlite_ta
 chmod 755 $c/grant_sqlite_privileges  $c/drop_sqlite_tables    $c/drop_sqlite_database
 
 chmod 755 $c/create_sqlite3_database   $c/update_sqlite3_tables  $c/make_sqlite3_tables
-chmod 755 $c/grant_sqlite3_privileges  $c/drop_sqlite3_tables    $c/drop_sqlite3_database
+chmod 755 $c/grant_sqlite3_privileges  $c/drop_sqlite3_tables   $c/drop_sqlite3_database
 
 chmod 755 $c/create_postgresql_database  $c/update_postgresql_tables $c/make_postgresql_tables
 chmod 755 $c/grant_postgresql_privileges $c/drop_postgresql_tables   $c/drop_postgresql_database
@@ -44109,6 +44223,12 @@ if test X"$GCC" = "Xyes" ; then
    fi
 fi
 
+# clean up any old junk
+echo " "
+echo "Cleaning up"
+echo " "
+make clean
+
 if test "x${db_type}" = "xInternal" ; then
    echo " "
    echo " "
 echo "
 Configuration on `date`:
 
-   Host:                    ${host}${post_host} -- ${DISTNAME} ${DISTVER}
-   Bacula version:          ${BACULA} ${VERSION} (${DATE})
+   Host:                   ${host}${post_host} -- ${DISTNAME} ${DISTVER}
+   Bacula version:         ${BACULA} ${VERSION} (${DATE})
    Source code location:    ${srcdir}
-   Install binaries:        ${sbindir}
-   Install libraries:       ${libdir}
+   Install binaries:       ${sbindir}
+   Install libraries:      ${libdir}
    Install config files:    ${sysconfdir}
-   Scripts directory:       ${scriptdir}
-   Archive directory:       ${archivedir}
-   Working directory:       ${working_dir}
-   PID directory:           ${piddir}
-   Subsys directory:        ${subsysdir}
-   Man directory:           ${mandir}
-   Data directory:          ${datarootdir}
-   C Compiler:              ${CC} ${CCVERSION}
-   C++ Compiler:            ${CXX} ${CXXVERSION}
-   Compiler flags:          ${WCFLAGS} ${CFLAGS}
-   Linker flags:            ${WLDFLAGS} ${LDFLAGS}
-   Libraries:               ${LIBS}
+   Scripts directory:      ${scriptdir}
+   Archive directory:      ${archivedir}
+   Working directory:      ${working_dir}
+   PID directory:          ${piddir}
+   Subsys directory:       ${subsysdir}
+   Man directory:          ${mandir}
+   Data directory:         ${datarootdir}
+   C Compiler:             ${CC} ${CCVERSION}
+   C++ Compiler:           ${CXX} ${CXXVERSION}
+   Compiler flags:         ${WCFLAGS} ${CFLAGS}
+   Linker flags:           ${WLDFLAGS} ${LDFLAGS}
+   Libraries:              ${LIBS}
    Statically Linked Tools: ${support_static_tools}
    Statically Linked FD:    ${support_static_fd}
    Statically Linked SD:    ${support_static_sd}
    Statically Linked DIR:   ${support_static_dir}
    Statically Linked CONS:  ${support_static_cons}
-   Database type:           ${db_type}
-   Database port:           ${db_port}
-   Database lib:            ${DB_LIBS}
-   Database name:           ${db_name}
-   Database user:           ${db_user}
-
-   Job Output Email:        ${job_email}
-   Traceback Email:         ${dump_email}
-   SMTP Host Address:       ${smtp_host}
-
-   Director Port:           ${dir_port}
-   File daemon Port:        ${fd_port}
+   Database type:          ${db_type}
+   Database port:          ${db_port}
+   Database lib:           ${DB_LIBS}
+   Database name:          ${db_name}
+   Database user:          ${db_user}
+
+   Job Output Email:       ${job_email}
+   Traceback Email:        ${dump_email}
+   SMTP Host Address:      ${smtp_host}
+
+   Director Port:          ${dir_port}
+   File daemon Port:       ${fd_port}
    Storage daemon Port:     ${sd_port}
 
-   Director User:           ${dir_user}
-   Director Group:          ${dir_group}
+   Director User:          ${dir_user}
+   Director Group:         ${dir_group}
    Storage Daemon User:     ${sd_user}
    Storage DaemonGroup:     ${sd_group}
-   File Daemon User:        ${fd_user}
-   File Daemon Group:       ${fd_group}
+   File Daemon User:       ${fd_user}
+   File Daemon Group:      ${fd_group}
 
    SQL binaries Directory   ${SQL_BINDIR}
 
-   Large file support:      $largefile_support
+   Large file support:     $largefile_support
    Bacula conio support:    ${got_conio} ${CONS_LIBS}
-   readline support:        ${got_readline} ${PRTREADLINE_SRC}
+   readline support:       ${got_readline} ${PRTREADLINE_SRC}
    TCP Wrappers support:    ${TCPW_MSG} ${WRAPLIBS}
-   TLS support:             ${support_tls}
-   Encryption support:      ${support_crypto}
-   ZLIB support:            ${have_zlib}
-   enable-smartalloc:       ${support_smartalloc}
-   bat support:             ${support_bat} ${QWT_LDFLAGS}
-   enable-gnome:            ${support_gnome} ${gnome_version}
-   enable-bwx-console:      ${support_wx_console} ${wx_version}
+   TLS support:            ${support_tls}
+   Encryption support:     ${support_crypto}
+   ZLIB support:           ${have_zlib}
+   enable-smartalloc:      ${support_smartalloc}
+   bat support:            ${support_bat} ${QWT_LDFLAGS}
+   enable-gnome:           ${support_gnome} ${gnome_version}
+   enable-bwx-console:     ${support_wx_console} ${wx_version}
    enable-tray-monitor:     ${support_tray_monitor}
-   client-only:             ${build_client_only}
-   build-dird:              ${build_dird}
-   build-stored:            ${build_stored}
-   ACL support:             ${have_acl}
-   Python support:          ${support_python} ${PYTHON_LIBS}
+   client-only:            ${build_client_only}
+   build-dird:             ${build_dird}
+   build-stored:           ${build_stored}
+   ACL support:            ${have_acl}
+   Python support:         ${support_python} ${PYTHON_LIBS}
    Batch insert enabled:    ${support_batch_insert}
 
   " > config.out